//
// From SwiftUI by Example by Paul Hudson
// https://www.hackingwithswift.com/quick-start/swiftui
//
// You're welcome to use this code for any purpose,
// commercial or otherwise, with or without attribution.
//

import SwiftUI

struct ContentView: View {
    @State private var searchText = ""
    @State private var searchIsActive = false

    var body: some View {
        NavigationStack {
            Text("Searching for \(searchText)")
                .navigationTitle("Searching: \(searchIsActive ? "Yes" : "No")")
        }
        .searchable(text: $searchText, isPresented: $searchIsActive)
    }
}